Skip to main content
GET
/
v1
/
customers
/
{id}
Get customer by ID
curl --request GET \
  --url https://api-global.fastpaybrasil.com/v1/customers/{id} \
  --header 'Authorization: Basic <encoded-value>'
{
  "id": "2RhQg9M7ZCg3X3nMb9W1kX8Q",
  "gatewayId": "2RhQg9M7ZCg3X3nMb9W1kX8Q",
  "name": "John Doe",
  "email": "[email protected]",
  "documentId": "12345678900",
  "documentType": "cpf",
  "phoneNumber": "+5511999999999",
  "createdAt": "2024-01-15T10:30:00.000Z",
  "updatedAt": "2024-01-15T10:30:00.000Z"
}

Authorizations

Authorization
string
header
required

HTTP Basic authentication. Use your secret key as the username and an empty string as password. The API key should be base64 encoded in the format 'username:' when sending the Authorization header.

Path Parameters

id
string
required

Unique customer identifier

Response

Successfully retrieved customer

id
string

Unique customer identifier

Example:

"2RhQg9M7ZCg3X3nMb9W1kX8Q"

gatewayId
string

Gateway identifier

Example:

"2RhQg9M7ZCg3X3nMb9W1kX8Q"

name
string

Customer's full name

Example:

"John Doe"

email
string<email>

Customer's email address

documentId
string | null

Identification document number

Example:

"12345678900"

documentType
string | null

Type of document

Example:

"cpf"

phoneNumber
string | null

Customer's phone number

Example:

"+5511999999999"

createdAt
string<date-time>

Creation timestamp

Example:

"2024-01-15T10:30:00.000Z"

updatedAt
string<date-time>

Last update timestamp

Example:

"2024-01-15T10:30:00.000Z"